PETSc version 3.15.5
Fix/Edit manual page

# PetscViewerExodusIIGetId

Get the file id of the ExodusII file

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscViewerExodusIIGetId(PetscViewer viewer, int *exoid)

Logically Collective on PetscViewer

### Input Parameter

| viewer | - the PetscViewer

### Output Parameter

| exoid | - The ExodusII file id

### See Also

PetscViewerFileSetMode(), PetscViewerCreate(), PetscViewerSetType(), PetscViewerBinaryOpen()

### Level

intermediate

### Location

src/dm/impls/plex/plexexodusii.c

### Implementations

PetscViewerExodusIIGetId_ExodusII in src/dm/impls/plex/plexexodusii.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages